lang/yabasic - The NetBSD Packages Collection

Yet another Basic for Unix and Windows

Yabasic implements the most common and simple elements of the basic language;
It comes with goto/gosub, with various loops, with user defined subroutines
and Libraries. Yabasic does monochrome line graphics and printing.
Yabasic runs under Unix and Windows; it is small (around 200KB) and free.

Build dependencies

pkgtools/x11-links pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

devel/libffi devel/ncurses devel/libffi devel/ncurses

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64yabasic-2.90.2.tgz
NetBSD 10.0aarch64yabasic-2.90.2.tgz
NetBSD 10.0earmv6hfyabasic-2.90.2.tgz
NetBSD 10.0earmv6hfyabasic-2.90.2.tgz
NetBSD 10.0earmv7hfyabasic-2.90.2.tgz
NetBSD 10.0earmv7hfyabasic-2.90.2.tgz
NetBSD 10.0i386yabasic-2.90.2.tgz
NetBSD 10.0powerpcyabasic-2.90.2.tgz
NetBSD 10.0powerpcyabasic-2.90.2.tgz
NetBSD 10.0x86_64yabasic-2.90.2.tgz
NetBSD 10.0x86_64yabasic-2.90.2.tgz
NetBSD 8.0earmv7hfyabasic-2.90.1.tgz
NetBSD 8.0i386yabasic-2.90.2.tgz
NetBSD 8.0i386yabasic-2.90.2.tgz
NetBSD 8.0powerpcyabasic-2.90.1nb1.tgz
NetBSD 8.0powerpcyabasic-2.90.2.tgz
NetBSD 8.0powerpcyabasic-2.90.2.tgz
NetBSD 8.0x86_64yabasic-2.90.2.tgz
NetBSD 8.0x86_64yabasic-2.90.2.tgz
NetBSD 9.0aarch64yabasic-2.90.2.tgz
NetBSD 9.0aarch64yabasic-2.90.2.tgz
NetBSD 9.0aarch64yabasic-2.90.2.tgz
NetBSD 9.0alphayabasic-2.90.1nb1.tgz
NetBSD 9.0alphayabasic-2.90.2.tgz
NetBSD 9.0alphayabasic-2.90.2.tgz
NetBSD 9.0alphayabasic-2.90.2.tgz
NetBSD 9.0alphayabasic-2.90.2.tgz
NetBSD 9.0earmv6hfyabasic-2.90.2.tgz
NetBSD 9.0earmv6hfyabasic-2.90.2.tgz
NetBSD 9.0earmv6hfyabasic-2.90.2.tgz
NetBSD 9.0earmv7hfyabasic-2.90.2.tgz
NetBSD 9.0earmv7hfyabasic-2.90.2.tgz
NetBSD 9.0earmv7hfyabasic-2.90.2.tgz
NetBSD 9.0i386yabasic-2.90.2.tgz
NetBSD 9.0i386yabasic-2.90.2.tgz
NetBSD 9.0i386yabasic-2.90.2.tgz
NetBSD 9.0m68kyabasic-2.90.2.tgz
NetBSD 9.0m68kyabasic-2.90.2.tgz
NetBSD 9.0m68kyabasic-2.90.2.tgz
NetBSD 9.0m68kyabasic-2.90.2.tgz
NetBSD 9.0mips64ebyabasic-2.90.1nb1.tgz
NetBSD 9.0mips64ebyabasic-2.90.2.tgz
NetBSD 9.0mips64ebyabasic-2.90.2.tgz
NetBSD 9.0mips64ebyabasic-2.90.2.tgz
NetBSD 9.0mips64ebyabasic-2.90.2.tgz
NetBSD 9.0powerpcyabasic-2.90.2.tgz
NetBSD 9.0powerpcyabasic-2.90.2.tgz
NetBSD 9.0powerpcyabasic-2.90.2.tgz
NetBSD 9.0sparc64yabasic-2.90.1nb1.tgz
NetBSD 9.0sparc64yabasic-2.90.2.tgz
NetBSD 9.0sparc64yabasic-2.90.2.tgz
NetBSD 9.0sparc64yabasic-2.90.2.tgz
NetBSD 9.0sparc64yabasic-2.90.2.tgz
NetBSD 9.0sparcyabasic-2.90.1.tgz
NetBSD 9.0x86_64yabasic-2.90.2.tgz
NetBSD 9.0x86_64yabasic-2.90.2.tgz
NetBSD 9.0x86_64yabasic-2.90.2.tgz
NetBSD 9.0x86_64yabasic-2.90.2.tgz
NetBSD 9.0x86_64yabasic-2.90.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.